%!TEX root=../../../thesis.tex
%!TEX file=content/caro-dynamics/spatial/kinematics.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{Kinematics}\label{sec:caro-dynamics:spatial:kinematics}

Let the mobile platform of cuboid shape with width~$w$, height~$h$, and depth~$d$ be mechanically parametrized by linear inertia matrix~$\Mass_{\subplatform} = \mass_{\subplatform} \, \eye[3]$ and rotational inertia matrix~$\inertiatensor_{\subplatform} = \diag \of{\inertia_{xx}, \inertia_{yy}, \inertia_{zz}}$ as numbered in~\cref{tbl:caro-dynamics:spatial:platform:mechanical-properties}.
The platform's state is uniquely defined by the generalized coordinates~$\genq_{\subplatform} = \transpose{ \left[ x, y, z, \phi, \theta, \psi \right] }$ following the equations of motion
%
\begin{align*}
  \begin{bmatrix}
    \Mass_{\subplatform}
      & \zeros
      \\
    \zeros
      & \platrot \,
        \inertiatensor_{\subplatform} \,
        \transpose{\platrot}
  \end{bmatrix} \,
  \ddotgenq_{\subplatform}
    & = \forcevec_{\subplatform, \subgravity}
        +
        \transpose{\jacposconstraints_{\subplatform}} \of{\genq, t} \,
        ,
    \\
  \zeros
    & = \posconstraints_{\subplatform} \of{\genq, t} \,
        ,
\end{align*}
%
with gravitational force vector~$\forcevec_{\subplatform, \subgravity}$, the constraints~$\posconstraints_{\subplatform} \of{\genq, t}$ as given in~\cref{eqn:caro-dynamics:multibody-cdpr:platform:constraints}, and the rotation matrix~$\platrot$ given through Tait-Bryan angles~$\vectset{ \phi ; \theta ; \psi }$.
We choose~$\numcable = 8$ cables.

\begin{table}[tbp]
  \centering
  \smaller[1]
  \caption{%
    Mechanical properties of mobile platform for spatial \MP{3}{3} \caro simulation.
  }
  \label{tbl:caro-dynamics:spatial:platform:mechanical-properties}
  \input{tables/cdpr-mechanical-spatial}
\end{table}
